ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Types.PkgQual

Synopsis

- data RawPkgQual
  - = NoRawPkgQual
  - | RawPkgQual StringLiteral
- data PkgQual
  - = NoPkgQual
  - | ThisPkg UnitId
  - | OtherPkg UnitId

# Documentation

data RawPkgQual #

Package-qualifier as it was parsed

Constructors

NoRawPkgQual | No package qualifier
RawPkgQual StringLiteral | Raw package qualifier string.

#### Instances

Instances details

Data RawPkgQual # |

Instance details

Defined in GHC.Types.PkgQual

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> RawPkgQual -> c RawPkgQual #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c RawPkgQual #

toConstr :: RawPkgQual -> Constr #

dataTypeOf :: RawPkgQual -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c RawPkgQual) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c RawPkgQual) #

gmapT :: (forall b. Data b => b -> b) -> RawPkgQual -> RawPkgQual #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> RawPkgQual -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> RawPkgQual -> r #

gmapQ :: (forall d. Data d => d -> u) -> RawPkgQual -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> RawPkgQual -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> RawPkgQual -> m RawPkgQual #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> RawPkgQual -> m RawPkgQual #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> RawPkgQual -> m RawPkgQual #

Outputable RawPkgQual # |
Instance details Defined in GHC.Types.PkgQual Methods ppr :: RawPkgQual -> SDoc #

data PkgQual #

Package-qualifier after renaming

Renaming detects if "this" or the unit-id of the home-unit was used as a package qualifier.

Constructors

NoPkgQual | No package qualifier
ThisPkg UnitId | Import from home-unit
OtherPkg UnitId | Import from another unit

#### Instances

Instances details

Data PkgQual # |

Instance details

Defined in GHC.Types.PkgQual

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> PkgQual -> c PkgQual #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c PkgQual #

toConstr :: PkgQual -> Constr #

dataTypeOf :: PkgQual -> DataType #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c PkgQual) #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c PkgQual) #

gmapT :: (forall b. Data b => b -> b) -> PkgQual -> PkgQual #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> PkgQual -> r #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> PkgQual -> r #

gmapQ :: (forall d. Data d => d -> u) -> PkgQual -> [u] #

gmapQi :: Int -> (forall d. Data d => d -> u) -> PkgQual -> u #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> PkgQual -> m PkgQual #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> PkgQual -> m PkgQual #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> PkgQual -> m PkgQual #

Outputable PkgQual # |
Instance details Defined in GHC.Types.PkgQual Methods ppr :: PkgQual -> SDoc #
Eq PkgQual # |
Instance details Defined in GHC.Types.PkgQual Methods (==) :: PkgQual -> PkgQual -> Bool # (/=) :: PkgQual -> PkgQual -> Bool #
Ord PkgQual # |
Instance details Defined in GHC.Types.PkgQual Methods compare :: PkgQual -> PkgQual -> Ordering # (<) :: PkgQual -> PkgQual -> Bool # (<=) :: PkgQual -> PkgQual -> Bool # (>) :: PkgQual -> PkgQual -> Bool # (>=) :: PkgQual -> PkgQual -> Bool # max :: PkgQual -> PkgQual -> PkgQual # min :: PkgQual -> PkgQual -> PkgQual #